Subject: Re: wu-ftpd and AFS authentication [1111]

From: Jeff Dingbaum <[email-masked]>
Date: Thu, 12 Jan 1995 09:14:21 -0600

> > I have come across this problem as well on my ftp/afs/web/gopher server.
> > It has been a while since I installed this, so I really don't remember the
> > details.  The main problem was that you need a /dev/zero in the anonymous 
> > ftp file area, but you can't make one in AFS.  You have to compile either
> > the ftp daemon or the compression program with the static flag (can't 
> > remember which).  Compiling a tar program with static wouldn't hurt either.  
> > Then you can just plop those binaries in without worrying about /dev/zero.  
> > 
> > This was on SunOS4.1, but I suspect that it is the same problem.  I will 
> > be doing this same install hopefully this week, so if I find anything 
> > funny I will email you.
> > 
> > Jeff Dingbaum
> > [email-masked]
> > 
> > 
> 
> >From my understanding, statically linking the programs in ~/ftp/bin solves the
> Solaris problem of having to copy libraries into ~/ftp/usr/lib but it does not
> solve the problem of trying to create device files within AFS.
> 
> Hmmm.. if compiling ftp static helps, I'll try it but I somehow doubt this
> will work.  Basically I'm resigned to the fact that the FTP root dir cannot
> exist within AFS, however as I understand it, it is possible to mount the AFS
> hierarchy within the FTP root dir.
> 

It really does work.  I don't have a /dev/directory in my ftp space (which
is built in AFS space).   Tar, compress and ftp all work well.  As I said,
though, that was for SunOS.  There maybe other issues with Solaris that 
need to be worked out.  I really wanted to give you my experiences because
when I had problems incorporating ftp into AFS about two years ago no one
else was really doing the two together.

Jeff
[email-masked]